package app

import (
	v1 "git.echol.cn/loser/ai_proxy/server/api/v1"
	"github.com/gin-gonic/gin"
)

type AiApiKeyRouter struct{}

func (s *AiApiKeyRouter) InitAiApiKeyRouter(Router *gin.RouterGroup) {
	aiApiKeyRouter := Router.Group("aiApiKey")
	aiApiKeyApi := v1.ApiGroupApp.AppApiGroup.AiApiKeyApi
	{
		aiApiKeyRouter.POST("createAiApiKey", aiApiKeyApi.CreateAiApiKey)
		aiApiKeyRouter.DELETE("deleteAiApiKey", aiApiKeyApi.DeleteAiApiKey)
		aiApiKeyRouter.PUT("updateAiApiKey", aiApiKeyApi.UpdateAiApiKey)
		aiApiKeyRouter.GET("findAiApiKey", aiApiKeyApi.FindAiApiKey)
		aiApiKeyRouter.GET("getAiApiKeyList", aiApiKeyApi.GetAiApiKeyList)
	}
}
